package com.prolog.cs.biz.inbound.model;

import cn.hutool.core.date.DateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Ignore;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2021-04-11
 */

@ApiModel
@Table(value = "oms_asn_bill_h",  camelToUnderline = true)
public class OmsAsnBillH implements Serializable {
	private static final long serialVersionUID = 6489185603458819064L;
	@Id
	// 主表不能自动生成id
//	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	/** ASN单表ID **/
	@ApiModelProperty(value = "ASN单表ID")
	private String billid;

	/** ASN单号 **/
	@ApiModelProperty(value = "ASN单号")
	private String billno;

	/** ASN单类型 **/
	@ApiModelProperty(value = "ASN单类型")
	private String billtype;

	/** ASN单来源单据类型 **/
	@ApiModelProperty(value = "ASN单来源单据类型")
	private String refBilltype;

	/** 来源单据ID **/
	@ApiModelProperty(value = "来源单据ID")
	private String refBillid;

	/** 来源单据号 **/
	@ApiModelProperty(value = "来源单据号")
	private String refBillno;

	/** 发货单位类型 **/
	@ApiModelProperty(value = "发货单位类型")
	private String shipperType;

	/** 发货单位ID **/
	@ApiModelProperty(value = "发货单位ID")
	private String shipperid;

	/** 发货单位名称 **/
	@ApiModelProperty(value = "发货单位名称")
	private String shippername;

	/** 发货单位国编号 **/
	@ApiModelProperty(value = "发货单位国编号")
	private String shipmentCountryNo;

	/** 发货单位国 **/
	@ApiModelProperty(value = "发货单位国")
	private String shipmentCountryName;

	/** 发货单位省编号 **/
	@ApiModelProperty(value = "发货单位省编号")
	private String shipmentProvinceNo;

	/** 发货单位省 **/
	@ApiModelProperty(value = "发货单位省")
	private String shipmentProvinceName;

	/** 发货单位市编号 **/
	@ApiModelProperty(value = "发货单位市编号")
	private String shipmentCityNo;

	/** 发货单位市 **/
	@ApiModelProperty(value = "发货单位市")
	private String shipmentCityName;

	/** 发货单位区/县编号 **/
	@ApiModelProperty(value = "发货单位区/县编号")
	private String shipmentDistrictNo;

	/** 发货单位区/县 **/
	@ApiModelProperty(value = "发货单位区/县")
	private String shipmentDistrictName;

	/** 发货单位街道/乡镇编号 **/
	@ApiModelProperty(value = "发货单位街道/乡镇编号")
	private String shipmentTownNo;

	/** 发货单位街道/乡镇 **/
	@ApiModelProperty(value = "发货单位街道/乡镇")
	private String shipmentTownName;

	/** 发货单位社区/村编号 **/
	@ApiModelProperty(value = "发货单位社区/村编号")
	private String shipmentCommunityNo;

	/** 发货单位社区/村 **/
	@ApiModelProperty(value = "发货单位社区/村")
	private String shipmentCommunityName;

	/** 发货单位详细地址 **/
	@ApiModelProperty(value = "发货单位详细地址")
	private String shipmentAddress;

	/** 货主ID **/
	@ApiModelProperty(value = "货主ID")
	private String consignorid;

	/** 货主名称 **/
	@ApiModelProperty(value = "货主名称")
	private String consignorname;

	/** 货主单据号 **/
	@ApiModelProperty(value = "货主单据号")
	private String consignorBillno;

	/** 入库仓库ID **/
	@ApiModelProperty(value = "入库仓库ID")
	private String branchid;

	/** 入库仓库编号 **/
	@ApiModelProperty(value = "入库仓库编号")
	private String branchcode;

	/** 入库仓库名称 **/
	@ApiModelProperty(value = "入库仓库名称")
	private String branchname;

	/** 入库仓库库区ID **/
	@ApiModelProperty(value = "入库仓库库区ID")
	private String branchareaid;

	/** 入库仓库库区 **/
	@ApiModelProperty(value = "入库仓库库区")
	private String brancharea;

	/** 入库仓库详细地址 **/
	@ApiModelProperty(value = "入库仓库详细地址")
	private String branchAddress;

	/** 商品类别ID **/
	@ApiModelProperty(value = "商品类别ID")
	private String categoryId;

	/** 运输条件 **/
	@ApiModelProperty(value = "运输条件")
	private String shipTerm;

	/** 到货方式 **/
	@ApiModelProperty(value = "到货方式")
	private String arrivalMode;

	/** 订单紧急等级 **/
	@ApiModelProperty(value = "订单紧急等级")
	private String priorityLevel;

	/** 送货人联系方式 **/
	@ApiModelProperty(value = "送货人联系方式")
	private String delivererContactTel;

	/** 运输路线ID **/
	@ApiModelProperty(value = "运输路线ID")
	private String shipLineId;

	/** 承运商ID **/
	@ApiModelProperty(value = "承运商ID")
	private String carrierId;

	/** 承运商code **/
	@ApiModelProperty(value = "承运商code")
	private String carriercode;

	/** 承运商名称 **/
	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	/** 采购员名称 **/
	@ApiModelProperty(value = "采购员名称")
	private String buyerName;

	/** 采购员联系电话 **/
	@ApiModelProperty(value = "采购员联系电话")
	private String buyerTel;

	/** 状态 **/
	@ApiModelProperty(value = "状态")
	private String status;

	/** 制单日期 **/
	@ApiModelProperty(value = "制单日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date billDate;

	/** 预定到货日 **/
	@ApiModelProperty(value = "预定到货日")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attainDate;

	/** 审核状态 **/
	@ApiModelProperty(value = "审核状态")
	private String examineState;

	/** 总件数 **/
	@ApiModelProperty(value = "总件数")
	private BigDecimal totPcs;

	/** 总数量 **/
	@ApiModelProperty(value = "总数量")
	private BigDecimal totQty;

	/** 总重量 **/
	@ApiModelProperty(value = "总重量")
	private BigDecimal totWeight;

	/** 总体积 **/
	@ApiModelProperty(value = "总体积")
	private BigDecimal totVolume;

	/** 总未税金额 **/
	@ApiModelProperty(value = "总未税金额")
	private BigDecimal totnetamt;

	/** 总含税金额 **/
	@ApiModelProperty(value = "总含税金额")
	private BigDecimal totamt;

	/** 作废原因 **/
	@ApiModelProperty(value = "作废原因")
	private String closedReason;

	/** 退货原因 **/
	@ApiModelProperty(value = "退货原因")
	private String rtReason;

	/** 备注 **/
	@ApiModelProperty(value = "备注")
	private String remark;

	/** 字符扩展属性1 **/
	@ApiModelProperty(value = "字符扩展属性1")
	private String attrStr1;

	/** 字符扩展属性2 **/
	@ApiModelProperty(value = "字符扩展属性2")
	private String attrStr2;

	/** 字符扩展属性3 **/
	@ApiModelProperty(value = "字符扩展属性3")
	private String attrStr3;

	/** 字符扩展属性4 **/
	@ApiModelProperty(value = "字符扩展属性4")
	private String attrStr4;

	/** 字符扩展属性5 **/
	@ApiModelProperty(value = "字符扩展属性5")
	private String attrStr5;

	/** 字符扩展属性6 **/
	@ApiModelProperty(value = "字符扩展属性6")
	private String attrStr6;

	/** 字符扩展属性7 **/
	@ApiModelProperty(value = "字符扩展属性7")
	private String attrStr7;

	/** 字符扩展属性8 **/
	@ApiModelProperty(value = "字符扩展属性8")
	private String attrStr8;

	/** 字符扩展属性9 **/
	@ApiModelProperty(value = "字符扩展属性9")
	private String attrStr9;

	/** 字符扩展属性10 **/
	@ApiModelProperty(value = "字符扩展属性10")
	private String attrStr10;

	/** 数字扩展属性1 **/
	@ApiModelProperty(value = "数字扩展属性1")
	private BigDecimal attrNum1;

	/** 数字扩展属性2 **/
	@ApiModelProperty(value = "数字扩展属性2")
	private BigDecimal attrNum2;

	/** 数字扩展属性3 **/
	@ApiModelProperty(value = "数字扩展属性3")
	private BigDecimal attrNum3;

	/** 数字扩展属性4 **/
	@ApiModelProperty(value = "数字扩展属性4")
	private BigDecimal attrNum4;

	/** 数字扩展属性5 **/
	@ApiModelProperty(value = "数字扩展属性5")
	private BigDecimal attrNum5;

	/** 日期属性扩展1 **/
	@ApiModelProperty(value = "日期属性扩展1")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte1;

	/** 日期属性扩展2 **/
	@ApiModelProperty(value = "日期属性扩展2")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte2;

	/** 日期属性扩展3 **/
	@ApiModelProperty(value = "日期属性扩展3")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte3;

	/** 日期属性扩展4 **/
	@ApiModelProperty(value = "日期属性扩展4")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte4;

	/** 日期属性扩展5 **/
	@ApiModelProperty(value = "日期属性扩展5")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attrDte5;

	/** 录入员 **/
	@ApiModelProperty(value = "录入员")
	private String createby;

	/** 录入时间 **/
	@ApiModelProperty(value = "录入时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createdate;

	/** 修改人 **/
	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	/** 修改时间 **/
	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastmodifydate;

	/** 企业ID **/
	@ApiModelProperty(value = "企业ID")
	private String pEnterpriseid;

	/** 企业名称 **/
	@ApiModelProperty(value = "企业名称")
	private String pEnterprisename;

	/** 发货单位编号(根据类型来) **/
	@ApiModelProperty(value = "发货单位编号(根据类型来)")
	private String shippercode;

	// TODO
	// 未收总数量
	@ApiModelProperty(value = "(新)未收商品总数", position = 1)
	@Ignore
	private BigDecimal notRcvItemPieceCount;

	@ApiModelProperty(value = "订单截止日期")
	private Date expirationdate;

	@ApiModelProperty(value = "货主编码")
	private String consignorcode;

	@ApiModelProperty(value = "来源单号列表(ASN)")
	@Ignore
	private String asnAutoBillNum;

	@ApiModelProperty(value = "wms制单标识")
	private String attrStr14;

	@ApiModelProperty(value = "业务部门编码")
	private String purorgCode;

	@ApiModelProperty(value = "业务部门ID")
	private String purorgId;

	@ApiModelProperty(value = "业务部门名称")
	private String purorgName;

	@ApiModelProperty(value = "运输方式")
	private String shippingType;

	@ApiModelProperty(value = "运输单位")
	private String transportUnit;

	@ApiModelProperty(value = "启运时间")
	private Date shipmentDate;

	@ApiModelProperty(value = "发运地点")
	private String shipmentPlace;

	@ApiModelProperty(value = "在途时限")
	private String transitTime;

	@ApiModelProperty(value = "承运方")
	private String carrierUnit;

	@ApiModelProperty(value = "要货业务员")
	private String enquirysalesman;

	@ApiModelProperty(value = "要货部门")
	private String enquirydepartment;

	@ApiModelProperty(value = "行业线")
	private String itemHealthIndustry;

	@ApiModelProperty(value = "直通单据是否自动完成 0-未完成 1已完成")
	private String straightTaskCompleteFlag;

	public String getAttrStr14() {
		return attrStr14;
	}

	public void setAttrStr14(String attrStr14) {
		this.attrStr14 = attrStr14;
	}

	public String getConsignorcode() {
		return consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public Date getExpirationdate() {
		return expirationdate;
	}

	public void setExpirationdate(Date expirationdate) {
		this.expirationdate = expirationdate;
	}

	public String getpEnterpriseid() {
		return pEnterpriseid;
	}

	public void setpEnterpriseid(String pEnterpriseid) {
		this.pEnterpriseid = pEnterpriseid;
	}

	public String getpEnterprisename() {
		return pEnterprisename;
	}

	public void setpEnterprisename(String pEnterprisename) {
		this.pEnterprisename = pEnterprisename;
	}

	public BigDecimal getNotRcvItemPieceCount() {
		return notRcvItemPieceCount;
	}

	public void setNotRcvItemPieceCount(BigDecimal notRcvItemPieceCount) {
		this.notRcvItemPieceCount = notRcvItemPieceCount;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBilltype() {
		return this.billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getRefBilltype() {
		return this.refBilltype;
	}

	public void setRefBilltype(String refBilltype) {
		this.refBilltype = refBilltype;
	}

	public String getRefBillid() {
		return this.refBillid;
	}

	public void setRefBillid(String refBillid) {
		this.refBillid = refBillid;
	}

	public String getRefBillno() {
		return this.refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getShipperType() {
		return this.shipperType;
	}

	public void setShipperType(String shipperType) {
		this.shipperType = shipperType;
	}

	public String getShipperid() {
		return this.shipperid;
	}

	public void setShipperid(String shipperid) {
		this.shipperid = shipperid;
	}

	public String getShippername() {
		return this.shippername;
	}

	public void setShippername(String shippername) {
		this.shippername = shippername;
	}

	public String getShipmentCountryNo() {
		return this.shipmentCountryNo;
	}

	public void setShipmentCountryNo(String shipmentCountryNo) {
		this.shipmentCountryNo = shipmentCountryNo;
	}

	public String getShipmentCountryName() {
		return this.shipmentCountryName;
	}

	public void setShipmentCountryName(String shipmentCountryName) {
		this.shipmentCountryName = shipmentCountryName;
	}

	public String getShipmentProvinceNo() {
		return this.shipmentProvinceNo;
	}

	public void setShipmentProvinceNo(String shipmentProvinceNo) {
		this.shipmentProvinceNo = shipmentProvinceNo;
	}

	public String getShipmentProvinceName() {
		return this.shipmentProvinceName;
	}

	public void setShipmentProvinceName(String shipmentProvinceName) {
		this.shipmentProvinceName = shipmentProvinceName;
	}

	public String getShipmentCityNo() {
		return this.shipmentCityNo;
	}

	public void setShipmentCityNo(String shipmentCityNo) {
		this.shipmentCityNo = shipmentCityNo;
	}

	public String getShipmentCityName() {
		return this.shipmentCityName;
	}

	public void setShipmentCityName(String shipmentCityName) {
		this.shipmentCityName = shipmentCityName;
	}

	public String getShipmentDistrictNo() {
		return this.shipmentDistrictNo;
	}

	public void setShipmentDistrictNo(String shipmentDistrictNo) {
		this.shipmentDistrictNo = shipmentDistrictNo;
	}

	public String getShipmentDistrictName() {
		return this.shipmentDistrictName;
	}

	public void setShipmentDistrictName(String shipmentDistrictName) {
		this.shipmentDistrictName = shipmentDistrictName;
	}

	public String getShipmentTownNo() {
		return this.shipmentTownNo;
	}

	public void setShipmentTownNo(String shipmentTownNo) {
		this.shipmentTownNo = shipmentTownNo;
	}

	public String getShipmentTownName() {
		return this.shipmentTownName;
	}

	public void setShipmentTownName(String shipmentTownName) {
		this.shipmentTownName = shipmentTownName;
	}

	public String getShipmentCommunityNo() {
		return this.shipmentCommunityNo;
	}

	public void setShipmentCommunityNo(String shipmentCommunityNo) {
		this.shipmentCommunityNo = shipmentCommunityNo;
	}

	public String getShipmentCommunityName() {
		return this.shipmentCommunityName;
	}

	public void setShipmentCommunityName(String shipmentCommunityName) {
		this.shipmentCommunityName = shipmentCommunityName;
	}

	public String getShipmentAddress() {
		return this.shipmentAddress;
	}

	public void setShipmentAddress(String shipmentAddress) {
		this.shipmentAddress = shipmentAddress;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getConsignorBillno() {
		return this.consignorBillno;
	}

	public void setConsignorBillno(String consignorBillno) {
		this.consignorBillno = consignorBillno;
	}

	public String getBranchid() {
		return this.branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return this.branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getBranchareaid() {
		return this.branchareaid;
	}

	public void setBranchareaid(String branchareaid) {
		this.branchareaid = branchareaid;
	}

	public String getBrancharea() {
		return this.brancharea;
	}

	public void setBrancharea(String brancharea) {
		this.brancharea = brancharea;
	}

	public String getBranchAddress() {
		return this.branchAddress;
	}

	public void setBranchAddress(String branchAddress) {
		this.branchAddress = branchAddress;
	}

	public String getCategoryId() {
		return this.categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public String getShipTerm() {
		return this.shipTerm;
	}

	public void setShipTerm(String shipTerm) {
		this.shipTerm = shipTerm;
	}

	public String getArrivalMode() {
		return this.arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public String getPriorityLevel() {
		return this.priorityLevel;
	}

	public void setPriorityLevel(String priorityLevel) {
		this.priorityLevel = priorityLevel;
	}

	public String getDelivererContactTel() {
		return this.delivererContactTel;
	}

	public void setDelivererContactTel(String delivererContactTel) {
		this.delivererContactTel = delivererContactTel;
	}

	public String getShipLineId() {
		return this.shipLineId;
	}

	public void setShipLineId(String shipLineId) {
		this.shipLineId = shipLineId;
	}

	public String getCarrierId() {
		return this.carrierId;
	}

	public void setCarrierId(String carrierId) {
		this.carrierId = carrierId;
	}

	public String getCarrierName() {
		return this.carrierName;
	}

	public void setCarrierName(String carrierName) {
		this.carrierName = carrierName;
	}

	public String getBuyerName() {
		return this.buyerName;
	}

	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	public String getBuyerTel() {
		return this.buyerTel;
	}

	public void setBuyerTel(String buyerTel) {
		this.buyerTel = buyerTel;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getBillDate() {
		return this.billDate;
	}

	public void setBillDate(Date billDate) {
		this.billDate = billDate;
	}

	public Date getAttainDate() {
		return this.attainDate;
	}

	public void setAttainDate(Date attainDate) {
		this.attainDate = attainDate;
	}

	public String getExamineState() {
		return this.examineState;
	}

	public void setExamineState(String examineState) {
		this.examineState = examineState;
	}

	public BigDecimal getTotPcs() {
		return this.totPcs;
	}

	public void setTotPcs(BigDecimal totPcs) {
		this.totPcs = totPcs;
	}

	public BigDecimal getTotQty() {
		return this.totQty;
	}

	public void setTotQty(BigDecimal totQty) {
		this.totQty = totQty;
	}

	public BigDecimal getTotWeight() {
		return this.totWeight;
	}

	public void setTotWeight(BigDecimal totWeight) {
		this.totWeight = totWeight;
	}

	public BigDecimal getTotVolume() {
		return this.totVolume;
	}

	public void setTotVolume(BigDecimal totVolume) {
		this.totVolume = totVolume;
	}

	public BigDecimal getTotnetamt() {
		return this.totnetamt;
	}

	public void setTotnetamt(BigDecimal totnetamt) {
		this.totnetamt = totnetamt;
	}

	public BigDecimal getTotamt() {
		return this.totamt;
	}

	public void setTotamt(BigDecimal totamt) {
		this.totamt = totamt;
	}

	public String getClosedReason() {
		return this.closedReason;
	}

	public void setClosedReason(String closedReason) {
		this.closedReason = closedReason;
	}

	public String getRtReason() {
		return this.rtReason;
	}

	public void setRtReason(String rtReason) {
		this.rtReason = rtReason;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getAttrStr6() {
		return this.attrStr6;
	}

	public void setAttrStr6(String attrStr6) {
		this.attrStr6 = attrStr6;
	}

	public String getAttrStr7() {
		return this.attrStr7;
	}

	public void setAttrStr7(String attrStr7) {
		this.attrStr7 = attrStr7;
	}

	public String getAttrStr8() {
		return this.attrStr8;
	}

	public void setAttrStr8(String attrStr8) {
		this.attrStr8 = attrStr8;
	}

	public String getAttrStr9() {
		return this.attrStr9;
	}

	public void setAttrStr9(String attrStr9) {
		this.attrStr9 = attrStr9;
	}

	public String getAttrStr10() {
		return this.attrStr10;
	}

	public void setAttrStr10(String attrStr10) {
		this.attrStr10 = attrStr10;
	}

	public BigDecimal getAttrNum1() {
		return this.attrNum1;
	}

	public void setAttrNum1(BigDecimal attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public BigDecimal getAttrNum2() {
		return this.attrNum2;
	}

	public void setAttrNum2(BigDecimal attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public BigDecimal getAttrNum3() {
		return this.attrNum3;
	}

	public void setAttrNum3(BigDecimal attrNum3) {
		this.attrNum3 = attrNum3;
	}

	public BigDecimal getAttrNum4() {
		return this.attrNum4;
	}

	public void setAttrNum4(BigDecimal attrNum4) {
		this.attrNum4 = attrNum4;
	}

	public BigDecimal getAttrNum5() {
		return this.attrNum5;
	}

	public void setAttrNum5(BigDecimal attrNum5) {
		this.attrNum5 = attrNum5;
	}

	public Date getAttrDte1() {
		return this.attrDte1;
	}

	public void setAttrDte1(Date attrDte1) {
		this.attrDte1 = attrDte1;
	}

	public Date getAttrDte2() {
		return this.attrDte2;
	}

	public void setAttrDte2(Date attrDte2) {
		this.attrDte2 = attrDte2;
	}

	public Date getAttrDte3() {
		return this.attrDte3;
	}

	public void setAttrDte3(Date attrDte3) {
		this.attrDte3 = attrDte3;
	}

	public Date getAttrDte4() {
		return this.attrDte4;
	}

	public void setAttrDte4(Date attrDte4) {
		this.attrDte4 = attrDte4;
	}

	public Date getAttrDte5() {
		return this.attrDte5;
	}

	public void setAttrDte5(Date attrDte5) {
		this.attrDte5 = attrDte5;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getPEnterpriseid() {
		return this.pEnterpriseid;
	}

	public void setPEnterpriseid(String pEnterpriseid) {
		this.pEnterpriseid = pEnterpriseid;
	}

	public String getPEnterprisename() {
		return this.pEnterprisename;
	}

	public void setPEnterprisename(String pEnterprisename) {
		this.pEnterprisename = pEnterprisename;
	}

	public String getShippercode() {
		return this.shippercode;
	}

	public void setShippercode(String shippercode) {
		this.shippercode = shippercode;
	}

	public String getAsnAutoBillNum() {
		return asnAutoBillNum;
	}

	public void setAsnAutoBillNum(String asnAutoBillNum) {
		this.asnAutoBillNum = asnAutoBillNum;
	}

	public String getPurorgCode() {
		return purorgCode;
	}

	public void setPurorgCode(String purorgCode) {
		this.purorgCode = purorgCode;
	}

	public String getPurorgId() {
		return purorgId;
	}

	public void setPurorgId(String purorgId) {
		this.purorgId = purorgId;
	}

	public String getPurorgName() {
		return purorgName;
	}

	public void setPurorgName(String purorgName) {
		this.purorgName = purorgName;
	}

	public String getShippingType() {
		return shippingType;
	}

	public void setShippingType(String shippingType) {
		this.shippingType = shippingType;
	}

	public String getTransportUnit() {
		return transportUnit;
	}

	public void setTransportUnit(String transportUnit) {
		this.transportUnit = transportUnit;
	}

	public Date getShipmentDate() {
		return shipmentDate;
	}

	public void setShipmentDate(Date shipmentDate) {
		this.shipmentDate = shipmentDate;
	}

	public String getShipmentPlace() {
		return shipmentPlace;
	}

	public void setShipmentPlace(String shipmentPlace) {
		this.shipmentPlace = shipmentPlace;
	}

	public String getTransitTime() {
		return transitTime;
	}

	public void setTransitTime(String transitTime) {
		this.transitTime = transitTime;
	}

	public String getCarrierUnit() {
		return carrierUnit;
	}

	public void setCarrierUnit(String carrierUnit) {
		this.carrierUnit = carrierUnit;
	}

	public String getCarriercode() {
		return carriercode;
	}

	public void setCarriercode(String carriercode) {
		this.carriercode = carriercode;
	}

	public String getItemHealthIndustry() {
		return itemHealthIndustry;
	}

	public void setItemHealthIndustry(String itemHealthIndustry) {
		this.itemHealthIndustry = itemHealthIndustry;
	}

	public String getStraightTaskCompleteFlag() {
		return straightTaskCompleteFlag;
	}

	public void setStraightTaskCompleteFlag(String straightTaskCompleteFlag) {
		this.straightTaskCompleteFlag = straightTaskCompleteFlag;
	}

	public String getEnquirysalesman() {
		return enquirysalesman;
	}

	public void setEnquirysalesman(String enquirysalesman) {
		this.enquirysalesman = enquirysalesman;
	}

	public String getEnquirydepartment() {
		return enquirydepartment;
	}

	public void setEnquirydepartment(String enquirydepartment) {
		this.enquirydepartment = enquirydepartment;
	}
}
